TEMPLATE = app
TARGET = camera_uyvy

HEADERS += cameraexample.h \
    myvideosurface.h \
    uyvy2rgb.h

SOURCES += main.cpp \
    cameraexample.cpp \
    myvideosurface.cpp \
    uyvy2rgb.cpp

CONFIG += mobility
MOBILITY = multimedia systeminfo

RESOURCES += resources.qrc

symbian: {
    TARGET.UID3 = 0xEF642F0E
    TARGET = camera_uyvy
    TARGET.EPOCSTACKSIZE = 0x14000
    TARGET.EPOCHEAPSIZE = 0x20000 0x8000000
}

contains(MEEGO_EDITION,harmattan) {
    target.path = /opt/camera_uyvy/bin
    INSTALLS += target
}

OTHER_FILES += \
    qtc_packaging/debian_harmattan/rules \
    qtc_packaging/debian_harmattan/README \
    qtc_packaging/debian_harmattan/manifest.aegis \
    qtc_packaging/debian_harmattan/copyright \
    qtc_packaging/debian_harmattan/control \
    qtc_packaging/debian_harmattan/compat \
    qtc_packaging/debian_harmattan/changelog
